Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class F2wNetPolyLCG

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.DigitalNet
              umontreal.iro.lecuyer.hups.DigitalNetBase2
                  umontreal.iro.lecuyer.hups.F2wNetPolyLCG

    public class F2wNetPolyLCG

extends DigitalNetBase2

This class implements a digital net in base 2 starting from a polynomial LCG in F2w[z]/P(z). It is exactly the same point set as the one defined in the class `F2wCycleBasedPolyLCG`. See the description of this class for more details on the way the point set is constructed.

Constructing a point set using this class, instead of using `F2wCycleBasedPolyLCG`, makes SSJ construct a digital net in base 2. This is useful if one wants to randomize using one of the randomizations included in the class `DigitalNet`.

Note: This class in not operational yet!

Constructor Summary
`F2wNetPolyLCG(int type, int w, int r, int modQ, int step, int nbcoeff, int[] coeff, int[] nocoeff, int dim)` Constructs a point set with 2rw points.
`F2wNetPolyLCG(String filename, int no, int dim)` Constructs a point set after reading its parameters from file `filename`; the parameters are located at line numbered `no` of `filename`.

Method Summary
`String` | `toString()` Formats a string that contains the information about the point set.

Methods inherited from class umontreal.iro.lecuyer.hups.DigitalNetBase2
`addRandomShift, addRandomShift, clearRandomShift, getCoordinate, getCoordinateNoGray, iBinomialMatrixScramble, iBinomialMatrixScrambleFaurePermut, iBinomialMatrixScrambleFaurePermutAll, iBinomialMatrixScrambleFaurePermutDiag, iterator, iteratorNoGray, leftMatrixScramble, leftMatrixScrambleDiag, leftMatrixScrambleFaurePermut, leftMatrixScrambleFaurePermutAll, leftMatrixScrambleFaurePermutDiag, printGeneratorMatrices, printGeneratorMatricesTrans, rightMatrixScramble, stripedMatrixScramble, stripedMatrixScrambleFaurePermutAll`

Methods inherited from class umontreal.iro.lecuyer.hups.DigitalNet
`eraseOriginalGeneratorMatrices, leftMatrixScrambleRest, resetGeneratorMatrices, unrandomize`

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, formatPoints, formatPoints, getDimension, getNumPoints, getStream, randomize, randomize, randomize, randomize, randomize, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### F2wNetPolyLCG

    public F2wNetPolyLCG(int type,
                         int w,
                         int r,
                         int modQ,
                         int step,
                         int nbcoeff,
                         int[] coeff,
                         int[] nocoeff,
                         int dim)

  Constructs a point set with 2rw points. See the description of the class `F2wStructure` for the meaning of the parameters.

### F2wNetPolyLCG

    public F2wNetPolyLCG(String filename,
                         int no,
                         int dim)

  Constructs a point set after reading its parameters from file `filename`; the parameters are located at line numbered `no` of `filename`. The available files are listed in the description of class `F2wStructure`.

Method Detail

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `DigitalNetBase2`
  Returns:
    string representation of the point set information

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.